Page MenuHomePhabricator

B2. When converting an existing talk page to Flow, only copy templates above the first section into the new page's header
Closed, ResolvedPublic5 Story Points

Description

Right now, when we convert an existing talk page to Flow, we copy the wikitext above the first section into the Flow page's header.

We're doing this because we want to keep the metadata yellow boxes, but sometimes the wikitext above the first section is just a conversation that people didn't add a section header to. When this is copied onto the Flow page, it looks dumb.

So -- we should only copy templates onto the Flow page header. Anything else should be ignored, and just archived along with the rest of the page.

Event Timeline

DannyH created this task.Apr 30 2015, 11:45 PM
DannyH raised the priority of this task from to Normal.
DannyH updated the task description. (Show Details)
DannyH moved this task to Team discussion on the Collaboration-Team-Triage board.
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2015, 11:45 PM
DannyH set Security to None.May 6 2015, 6:33 PM
DannyH edited a custom field.
DannyH renamed this task from When converting an existing talk page to Flow, only copy templates above the first section into the new page's header to B2. When converting an existing talk page to Flow, only copy templates above the first section into the new page's header.May 6 2015, 8:45 PM

Change 211992 had a related patch set uploaded (by Matthias Mullie):
Only copy templates above first section into Flow's header

https://gerrit.wikimedia.org/r/211992

Change 211992 merged by jenkins-bot:
Only copy templates above first section into Flow's header

https://gerrit.wikimedia.org/r/211992

DannyH closed this task as Resolved.Jun 2 2015, 4:24 PM
DannyH moved this task from QA Review to Done on the Collaboration-Team-Sprint-B-2015-05-20 board.